Browser Compatibility Policy

Datalink maintains its software to meet compatibility with modern standards and the latest versions of web browsers as they are released. Unfortunately this means we need to remove support for older browsers from time to time where they don't meet these newer standards.

Our browser support policy ensures that you can use:

  • The latest web browser included on a supported version of either Windows or Macintosh operating system that is less than two versions old, as well as
  • The latest version of Google Chrome or Firefox installed with automatic updates enabled installed onto any operating system supported by the software.

Recommended Browsers

At this time, supported browsers include:

Older browsers such as Internet Explorer 9 and 10 have been tested and generally work, but fall outside our browser support policy and are not officially supported.

You can download a compatible browser from one of the following links.


Notes for Internet Explorer users

Microsoft itself no longer supports Internet Explorer versions less than 11 on its supported desktop operating systems, and it offers tools for IT departments still running older browsers for compatibility reasons to migrate to newer, supported browsers.

Copyright © 2017 MCC
Initializing...